Summary:	A menu-driven file backup system
Name:		taper
Version:	7.0
Release:	%mkrel -c pre1 21
License:	GPL
Group:		Archiving/Backup
URL:		http://taper.sourceforge.net/
Source0:	https://downloads.sourceforge.net/taper/%{name}-%{version}pre1.tar.bz2
Patch0:		taper-7.0pre1-sparc.patch
Patch1:		taper-7.0pre1-remove-conflicting-type.patch
Patch2:		taper-7.0pre-1-umode_t.patch
Patch3:		taper-7.0pre1-LDFLAGS.diff
BuildRequires:	pkgconfig(ncurses)

%description
Taper is a backup and restoration program with a friendly user
interface.  Files may be backed up to a tape drive or to a hard disk.
The interface for selecting files to be backed up/restored is very
similar to the Midnight Commander interface, and allows easy traversal
of directories.  Taper supports recursive selection of directories.
Taper also supports backing up SCSI, ftape, zftape and removable drives.
By default, taper is set for incremental backups and automatic most
recent restore.

Install the taper package if you need a user friendly file backup and
restoration program.

%prep
%setup -q -n %{name}-%{version}pre-1

%ifarch %{sunsparc}
%patch0 -p1 -b .sparc
%endif
%patch1 -p1 -b .type_conflict
%patch2 -p1 -b .umode_t
%patch3 -p0 -b .LDFLAGS

find . -name CVS -type d | xargs rm -rf

# prevent stripping (for debuginfo):
sed -i -e 's|755 --strip|755|g' Makefile

%build
%make_build CFLAGS="%{optflags} -O3 -fno-strength-reduce -Wall" LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}{%{_sbindir},%{_bindir},%{_mandir}/man8}

%make_install \
	BINDIR=%{buildroot}%{_sbindir} \
	ALTBIN=%{buildroot}%{_bindir} \
	MANDIR=%{buildroot}%{_mandir}/man8

ln -sf %{_sbindir}/taper %{buildroot}%{_bindir}/taper
ln -sf %{_sbindir}/bg_restore %{buildroot}%{_bindir}/bg_restore
ln -sf %{_sbindir}/bg_backup %{buildroot}%{_bindir}/bg_backup

%files
%doc docs/*
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man8/taper.8*


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 7.0-0.pre1.21.mga9
+ Revision: 1797330
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 7.0-0.pre1.20.mga8
+ Revision: 1517383
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 7.0-0.pre1.19.mga7
+ Revision: 1301321
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 7.0-0.pre1.18.mga6
+ Revision: 963002
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 7.0-0.pre1.17.mga6
+ Revision: 894177
- do not strip binaries to fix empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 7.0-0.pre1.16.mga5
+ Revision: 742603
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 7.0-0.pre1.15.mga5
+ Revision: 689692
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 7.0-0.pre1.14.mga4
+ Revision: 521040
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 cjw <cjw> 7.0-0.pre1.13.mga3
+ Revision: 388451
- fix patch for umode_t now that it has disappeared - use mode_t instead
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Mar 23 2011 steletch <steletch> 7.0-0.pre1.12.mga1
+ Revision: 76075
- imported package taper


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 7.0-0.pre1.12mdv2011.0
+ Revision: 607973
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 7.0-0.pre1.11mdv2010.1
+ Revision: 520256
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 7.0-0.pre1.10mdv2010.0
+ Revision: 427279
- rebuild

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 7.0-0.pre1.9mdv2009.1
+ Revision: 317833
- use %%ldflags

* Sat Mar 08 2008 Olivier Blin <oblin@mandriva.com> 7.0-0.pre1.8mdv2008.1
+ Revision: 182245
- include asm/types.h for umode_t to be defined on x86_64
- remove conflicting macro for umode_t type
- restore BuildRoot

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 14 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 7.0-0.pre1.6mdv2008.0
+ Revision: 39755
- bump
- fix conflicting types (P1, fixes build on x86_64)
- use %%{sunsparc} macro
  cosmetics


* Thu Sep 21 2006 Nicolas Lécureuil <neoclust@mandriva.org> 7.0-0.pre1.5mdv2007.0
- Rebuild against ncurse

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 7.0-0.pre1.4mdk
- Rebuild

* Mon Dec 13 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 7.0-0.pre1.3mdk
- regenerate sparc patch (P0)
- compile with $RPM_OPT_FLAGS

